Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1527

Overview

Vulnerability Score 7.8 7.8
CVE Id CVE-2011-1527
Last Modified 18 Jan 2012 10:56:50
Published 20 Oct 2011 05:55:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-1527

Summary

The kdb_ldap plugin in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) 1.9 through 1.9.1, when the LDAP back end is used, allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a kinit operation with incorrect string case for the realm, related to the is_principal_in_realm, krb5_set_error_message, krb5_ldap_get_principal, and process_as_req functions.

Vulnerable Systems

Application

  • Mit Kerberos 5-1.9

  • Mit Kerberos 5-1.9.1


References

REDHAT - RHSA-2011:1379

MANDRIVA - MDVSA-2011:159

CONFIRM - http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2011-006.txt

CONFIRM - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629558

CERT-VN - VU#659251


Last Updated: 27 May 2016 10:56:26